Get scenario result from KV
curl --request POST \
--url https://api.tagada.io/api/public/v1/test/scenario-result \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scenarioId": "test-final-004"
}
'import requests
url = "https://api.tagada.io/api/public/v1/test/scenario-result"
payload = { "scenarioId": "test-final-004" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scenarioId: 'test-final-004'})
};
fetch('https://api.tagada.io/api/public/v1/test/scenario-result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"found": true,
"result": {
"scenarioId": "test-final-004",
"status": "completed",
"startedAt": "2025-12-28T09:57:29.417Z",
"completedAt": "2025-12-28T09:57:32.927Z",
"executionTimeMs": 0,
"handlers": {
"immediate": [
{
"name": "immediateCriticalHandler",
"status": "completed",
"durationMs": 201
},
{
"name": "immediateAnalyticsHandler",
"status": "completed",
"durationMs": 1168
},
{
"name": "immediateParallelHandler",
"status": "completed",
"durationMs": 151
}
],
"deferred": [
{
"name": "deferredQStashNotificationHandler",
"backend": "qstash",
"status": "completed",
"durationMs": 501
},
{
"name": "deferredInngestWorkflowHandler",
"backend": "inngest",
"status": "completed",
"durationMs": 1102
},
{
"name": "deferredQStashRetryHandler",
"backend": "qstash",
"status": "completed",
"durationMs": 301
}
]
},
"stats": {
"totalHandlers": 6,
"immediateCompleted": 3,
"deferredDispatched": 3,
"deferredCompleted": 3,
"failedHandlers": 0
}
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}test
Get scenario result from KV
Retrieve test scenario execution results from KV store.
Use case: In serverless environments, logs are scattered across multiple function executions (immediate handlers, QStash webhooks, Inngest functions). This endpoint provides a unified view of the entire scenario execution by storing results in KV.
Returns:
- Handler execution status (pending/running/completed/failed)
- Individual handler durations
- Overall scenario status
- Statistics summary
POST
/
api
/
public
/
v1
/
test
/
scenario-result
Get scenario result from KV
⌘I
